@import '../../assets/styles/common';

.preferences {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 60.3rem;
  min-height: auto;
  margin: 10rem auto;
  padding-right: 4rem;
  padding-bottom: 4rem;
  padding-left: 4rem;
  background: #06002a 0% 0% no-repeat padding-box;
  box-shadow: 0 7px 9px #000000bf;

  * {
    color:$white;
  }

  &__header {
    display: flex;
    align-items: center;
    margin-top: 2rem;

    &-text {
      font-weight: $lato-light;
      font-style: italic;
      font-size: $preferenceHeaderSize;
      color: $white;
    }
  }

  .label {
    font-weight: $lato-light;
    font-style: italic;
    font-size: 2.752rem;
    color: $blue-light-one;
  }

  &__image {
    width: 5.1rem;
    height: 5.1rem;
    padding-right: 2rem;
  }

  &__time {
    align-self: normal;
    width: 100%;
    margin-left: -2rem;

    div {
      font-weight: $lato-light;
      font-style: italic;
      font-size: 2.752rem;
      color: $blue-light-one;
    }
  }

  @media only screen and (max-width: 1400px) {
    &__image {
      width: 4rem;
      height: 4rem;
    }

    &__header {
      &-text {
        font-size: 4rem;
      }
    }

    .form-buttons {
      margin: 1rem 0;
    }
  }
}

.form-buttons {
  display: flex;
  justify-content: flex-end;
  width: 90%;
  height: 7rem;
  margin: 3rem auto;
  padding: 0 2.4rem;
}

.button {
  width: 13rem;
  background-position: center;
  background-repeat: no-repeat;
  background-size: 13rem;

  &-save {
    @extend .button;

    width: 29.8rem;
    background: transparent url('../../assets/images/preferences/Save.png') 0% 0% no-repeat padding-box;
  }

  &-cancel {
    @extend .button;

    width: 20.5rem;
    background: transparent url('../../assets/images/Cancel.png') 0% 0% no-repeat padding-box;
  }

  @media only screen and (max-width: 1400px) {
    width: 25rem;
    background-size: contain;
  }
}
